apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: llink-services
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha

# NOTE: we use different profiles for a simpler mental model
profiles:
  - name: migrations
    build:
      artifacts:
      - image: migrations
        context: .
        docker:
          dockerfile: Dockerfile.migrations
    manifests:
      rawYaml:
      - k8s/migrations.yaml
    deploy:
      kubectl: {}

  - name: dev
    build:
      hooks:
        before:
        # already run in make test
        # - command: ["go", "test", "./..."]
      artifacts:
      - image: orion
        context: .
        docker:
          dockerfile: Dockerfile
    manifests:
      rawYaml:
      - k8s/dev/*
    deploy:
      kubectl: {}

  - name: prod
    build:
      hooks:
        before:
        # already run in make test
        # - command: ["go", "test", "./..."]
      artifacts:
      - image: orion
        context: .
        docker:
          dockerfile: Dockerfile
    manifests:
      rawYaml:
      - k8s/prod/*
    deploy:
      kubectl: {}
